Subject: Re: bug#36644: Git log search

From: Robert Pluim <[email-masked]>
Date: Thu, 18 Jul 2019 20:11:38 +0200

>>>>> On Thu, 18 Jul 2019 21:02:48 +0300, Dmitry Gutov <[email-masked]> said:

    Dmitry> We can't really use this approach. VC is a high level
    Dmitry> abstraction, so we try to define the semantics well.

What's wrong with the semantics of 'this string is passed to the
backend as-is'? Iʼm really struggling to understand where the
motivation is coming from to escape characters in the search string,
given that each backend can have completely different regexp support.

Robert